[lkml]   [2005]   [Mar]   [27]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
Messages in this thread
    Subject2.6.12-rc1-mm3: class_simple API
    I'm really sorry for bringing such a "flame-creative" topic to the list,
    but Greg asked me to do so after a short discussion in private.

    Problem is that the latest bk-driver-core patch included in the 2.6.12-rc1-mm3
    removes class_simple API without providing EXPORT_SYMBOL'ed (as opposed to
    EXPORT_SYMBOL_GPL) alternative.

    As the result I don't see a way how out-of-the-kernel non-GPL drivers
    (nvidia in my case) could be fixed.

    So, basically the questions are:

    - Whether the changes like the one above are "the right thing to do" ?
    - What's the best way to deal with this particular issue ?

    P.S. Please CC me, I'm not subscribed to the list.

    With best wishes,
    Nick Orlov.

    To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
    the body of a message to
    More majordomo info at
    Please read the FAQ at

     \ /
      Last update: 2005-04-06 13:31    [W:0.019 / U:126.556 seconds]
    ©2003-2016 Jasper Spaans. hosted at Digital OceanAdvertise on this site